<template>
  <AppButton
    :classes="classes"
    :disabled="disabled">
    <template #button-item>
      <div class="button-item">
        <span
          class="button-label"
          v-if="buttonText">
          {{ buttonText }}
        </span>
        <img
          svg-inline
          src="~/assets/svg/redesign/cloud.svg">
        <span
          v-if="!buttonText"
          class="button-label __bold">Чат с продавцом</span>
      </div>
      <div
        class="button-item"
        v-if="isOnline && !buttonText">
        <span class="button-label _online">Сейчас Online</span>
      </div>
    </template>
  </AppButton>
</template>

<script>
import AppButton from '~/components/redesign/app-buttons/app-button';

export default {
  name: 'AppButtonChat',
  components: {
    AppButton,
  },
  props: {
    disabled: {
      type: Boolean,
      default: false,
    },
    isOnline: {
      type: Boolean,
      default: false,
    },
    buttonText: {
      type: String,
      default: '',
    },
  },
  computed: {
    classes() {
      const classes = ['buttonChat'];

      this.isOnline && classes.push('-online');
      return classes;
    },
  },
};
</script>

<style lang="postcss">

</style>
